Package twisted :: Package web :: Module static

[show private | hide private]
[frames | no frames]

## Module twisted.web.static

Classes
`Data` | This is a static, in-memory resource.
`DirectoryListing` |
`File` | File is a resource that represents a plain non-interpreted file.
`FileTransfer` | A class to represent the transfer of a file over the network.
`Redirect` |
`Registry` | I am a Componentized object that will be made available to internal Twisted file-based dynamic web content such as .rpy and .epy scripts.

Function Summary
| `addSlash(request)`
| ``loadMimeTypes`()` Ugg, does this even need to exist anymore? Stupid stdlib

Variable Summary
`_Feature` | `nested_scopes`

Function Details

### loadMimeTypes()

Ugg, does this even need to exist anymore? Stupid stdlib

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

Generated by Epydoc 1.1 on Sat Feb 15 21:18:16 2003 | http://epydoc.sf.net